# Generated by Django 3.0 on 2020-07-07 20:15

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('cmcore', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Rooms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=False)),
                ('is_session_running', models.BooleanField(default=False)),
                ('room_name', models.CharField(max_length=200)),
                ('room_user_id', models.CharField(default='', max_length=200)),
                ('room_id', models.CharField(blank=True, default='', max_length=100, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('room_type', models.CharField(default='user', max_length=20)),
                ('room_mute_all_on_start', models.BooleanField(default=False)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='room_creator', to=settings.AUTH_USER_MODEL)),
                ('org_belongs_to', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='cmcore.Organisation')),
                ('owner', models.ManyToManyField(related_name='room_owners', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
